# Contributing

We love pull requests from everyone.  By participating in this project, you
agree to abide by the thoughtbot [code of conduct].

[code of conduct]: https://thoughtbot.com/open-source-code-of-conduct

We expect everyone to follow the code of conduct anywhere in thoughtbot's
project codebases, issue trackers, chatrooms, and mailing lists.

## Setting Up for Development

1. For the repository.
2. Run `bin/setup`, which will install dependencies and create the dummy
   application database.
3. Run `rake` to verify that the tests pass.
4. Make your change with new passing tests, following the [style guide].
5. Write a [good commit message], push your fork, and submit a pull request.

[style guide]: https://github.com/thoughtbot/guides/tree/master/style
[good commit message]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html

Others will give constructive feedback.  This is a time for discussion and
improvements, and making the necessary changes will be required before we can
merge the contribution.
